#ifndef    __CONSTANTES_H__
#define    __CONSTANTES_H__

#define DEBUG_PDDL_PARSER           0
#define DEBUG_VERY_VERBOSE          0
#define DEBUG_ACTION_LEVEL          0
#define STATS_LEVELS                0
#define PDDL_PARSER_SHOW_INIT       (DEBUG_PDDL_PARSER || 0)
#define PDDL_PARSER_SHOW_GOALS      (DEBUG_PDDL_PARSER || 0)

#define NONE (-1)    // de FDP

#define FAUX        0     // boolens
#define VRAI        1

#define POSITIF     1     // Sert pour le signe des littraux
#define NEGATIF     0

/* types de terme : objet ou variable */
#define TERM_OBJ    0
#define TERM_VAR    1

/* types de contraintes */
#define EQU_VAR     0
#define NEQ_VAR     1
#define NEQ_OBJ     2

/* status d'une action */
#define ACT_IMPOSSIBLE      0
#define ACT_OK              1

#define NUMERIC_TERM_VALUE  0
#define NUMERIC_TERM_FUNCT  1



#endif  /* __CONSTANTES_H__ */

