#ifndef   __UTILS_H__
#define   __UTILS_H__

#include <stdlib.h>

#include "types.h"

#include "structures.h"

extern list_fact_t lf_InitState, lf_Goals; // tats inital et final


void   do_error (char * s);

void trt_types_def (tname_list tnl);

void trt_objects_def (tname_list tnl);

/* le 11/06 */
pred_list find_predicate (const char * s);
func_list find_function (const char * s);
name_list find_or_create_object (dico_list dl, ref_type_list rtl);
ref_type_list names2reftypes (name_list names);
void display_domain ();
void display_problem();
void summarize_problem ();

/* Modifications du 10/02/2005 */
void * get_variable (dico_list d, tvar_list tvl, ref_type_list rtl);
void * get_object   (dico_list d, ref_type_list rtl);
act_list trt_act_def (dico_list name, tvar_list params, lit_list pre,
                      lit_list eff, numeric_term cost);

void add_value_for_numeric_term (func_list func, term_list terms, int value);

void display_functions_values();

lit_list dup_litteral (lit_list l);
void stabilize_graph ();
int  create_action_level ();
#endif /* __UTILS_H__ */

