#ifndef _H_hashstrings
#define _H_hashstrings

#define HASH_STRING_SIZE 10007

#define NOT_IN_HS (-1)

typedef struct hs_list_maillon * hs_list;
typedef struct hs_table_elt * hs_table;

#include "structures.h"

struct hs_list_maillon
{
  int elt;
  hs_list suiv;
};

struct hs_table_elt
{
  int nombre;
  hs_list list;
};

hs_table alloc_hs_table (void);
int hs_hash (char *s);
int search_fact_hs_table(char *s, hs_table ht, FAIT facts);
int search_action_hs_table(char *s, hs_table ht, ACTION actions);
void add_hs_table(char *s, hs_table ht, int f);
void verif_hs_table(hs_table ht, ACTION actions, int n);


#endif
