#ifndef _H_threads
#define _H_threads

#include <time.h>

typedef struct thread
{
  /* Probleme */
  int nFaits;
  int nActions;

  /* fdp-structure */
  int nsmax;
  int ns;    /* length of the searched plan. */

  /* Strategie de recherche */
  unsigned int mode;

  /* drapeau : recherche relaxee comme heuristique. */
  int justTest;

  /* Procedure de recherche : mode de deomposition. */
  int decMode;

  /* Stats */
  clock_t Ct_debut, Ct_fin;
  float Ctemps;
  int NE;
  int nChecks;
  int nRxTests, nRxFail;


  int fdp_solvable;
}
  * THREAD, S_THREAD;

#endif
