
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>

#include "utils.h"


LIST CreerMaillon(int f, LIST p, LIST s)
{
  LIST l;

  l = malloc(sizeof(struct maillon));
  assert(l != NULL);
  l->val = f;
  l->prec = p;
  l->suiv = s;
  return l;
}

void RestitueList(LIST l)
{
  LIST p, q;
  
  if (l != NULL)
    {
      p = l->suiv;
      while ((p != l) && (p!=NULL))
	{
	  q = p->suiv;
	  free(p);
	  p = q;
	}
      free(l);
    }
}

DLIST CreerDMaillon(int v1, int v2, DLIST p, DLIST s)
{
  DLIST l;

  l = malloc(sizeof(struct maillon_doublet));
  assert(l != NULL);
  l->val1 = v1;
  l->val2 = v2;
  l->prec = p;
  l->suiv = s;
  return l;
}
