#ifndef _H_fdp
#define _H_fdp

#include "hash.h"
#include "structures.h"


#define ECHEC_CHOOSE -2
#define NO_FACT -1

#define NO_STEP -1

#define ADDSELECTED 1
#define ADDOTHERS 0

extern int theNoop;

extern int fdp_solvable;
extern int fdp_ns;
extern int fdp_makespan;



void RestitueEnumerate(int ns, int thread);
void InitializeSousButs(int * finalstate, int ns, int thread);
void initializeSousButsLimit (int * finalstate, int ns, int limit, int thread);
void FDP_Allocations_Initializations(int nsmax, int thread);
void Solution(int ns, int mode, int thread);
void EnumerateAndMemorize(int ns, int p, int e, int thread);
void Enumerate(int ns, int p, int e, int thread);
void EnumerateActions(int ns, int p, int thread);
void SplitActionsSet(int ns, int e, int thread);



#endif
