#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include <time.h>

#include "main.h"
#include "fdp.h"
#include "stats.h"


/* Nombre d'appels de consistance (i.e. taille de l'arbre). */
int NE;
int nSol;
int nChecks; /* Nombre de suppressions. */

clock_t t_debut, t_fin;
time_t tt_debut, tt_fin;
float temps;

int CNE;
int CnSol;
int CnChecks;

clock_t Ct_debut, Ct_fin, Ct_hours;
time_t Ctt_debut, Ctt_fin, Ctt_hours;
float Ctemps;



float tempsLecture;


void PrintStats(void)
{
  PrintOptions();
  if ((FirstSolution) || ( ! fdp_solvable))
    printf(" %d/%d]  %s  %d %d %.2fs\n", fdp_ns, fdp_makespan, ((CnSol > 0 )?"O":"X"), CNE, CnChecks, Ctemps);
  else
    printf(" %d/%d]  %s  %d %d %.2fs %d solutions\n", fdp_ns, fdp_makespan, ((CnSol > 0 )?"O":"X"), CNE, CnChecks, Ctemps, CnSol);
}
